/// A localization macro that dynamically generates translation keys based on the code context.
///
/// The `#tk(_:)` macro automatically constructs a meaningful translation key derived from the surrounding context,
/// such as the type, property, or method in which the text is used. This allows for precise and intuitive keys
/// without manually specifying them, improving translation quality and consistency.
@freestanding(expression)
public macro tk(_ defaultValue: String) -> String = #externalMacro(module: "TranslateKitMacros", type: "TranslationKey")
