import SwiftSyntaxMacros
import SwiftSyntax
import SwiftDiagnostics

public struct TranslationKey: ExpressionMacro {
   /// Constructing code like: `String(localized: "MyView.Body.Button.saveChanges", defaultValue: "Save Changes")`
   public static func expansion(
      of node: some FreestandingMacroExpansionSyntax,
      in context: some MacroExpansionContext
   ) throws -> ExprSyntax {
      // constructing: `"Save Changes"`
      let defaultValueLiteral = StringLiteralExprSyntax(
         openingQuote: .stringQuoteToken(),
         segments: StringLiteralSegmentListSyntax([.stringSegment(.init(content: "Save Changes"))]),
         closingQuote: .stringQuoteToken()
      )

      // more code to be written here once this bug is fixed…

      return ExprSyntax(defaultValueLiteral)
   }
}
