import Testing
import MacroTesting
import SwiftSyntaxMacrosTestSupport
import TranslateKitMacros
@testable import TranslateKit

@Test
func simpleViewButtonExpansion() {
   assertMacro(["tk": TranslationKey.self]) {
      """
      import SwiftUI
      
      struct MyView: View {
         var body: some View {
            Button(#tk("Save Changes")) { 
               self.handleSave()
            }
         }
      }
      """
   } expansion: {
      """
      import SwiftUI

      struct MyView: View {
         var body: some View {
            Button("Save Changes")) { 
               self.handleSave()
            }
         }
      }
      """
   }
}
